## Module

Module text.

### Class

Class text

| variables | 4 for IPv4, 6 for IPv6

#### Class Function

|  | from_s | Prefix.from_s(aString) -> aNewPrefix
|  |  | Parses str to find version and address, e.g. p = IPprefix.from_s('192.168.1.1') p = IPprefix::from_s('fe80::20d:60ff:fe38:18b/64')

#### Methods

|  | new | Prefix.new(version, address) -> aNewPrefix
|  |  | Returns an IP-Prefix conatining an IP address, e.g. 192.168.0.3. kind = 4 for IPv4, 6 for IPv6 address = 4- or 16-byte string containing actual address

Nevil Brownlee
Sun, 23 Mar 08 (PDT)